import datetime
import os
import time

import schedule
from loguru import logger
from common.redis import  insert_carry_data


def bot_nrfx_carry_data():
    try:
        logger.info(f"[+] 开始获取内容分析")
        count = insert_carry_data(0, "task:carry_redis_by_nrfx","", "片尾引导")
        logger.info(f"[+] 开始获取内容分析共获取{count}条")

    except Exception as e:
        logger.error(f"[+] 获取内容分析失败，失败信息{e}")




def schedule_tasks():
    schedule.every().hour.at(":45").do(bot_nrfx_carry_data)



if __name__ == "__main__":
    # bot_nrfx_carry_data()
    schedule_tasks()  # 调用任务调度函数
    while True:
        schedule.run_pending()
        time.sleep(1)  # 每秒钟检查一次
    # bot_carry_data()

